Bug 1217722 - Tracker bug for Logging framework expansion.
Summary: Tracker bug for Logging framework expansion.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: logging
Version: 3.7.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nandaja Varma
QA Contact:
URL:
Whiteboard:
Depends On: 1194640
Blocks: glusterfs-3.7.2
TreeView+ depends on / blocked
 
Reported: 2015-05-01 11:09 UTC by Humble Chirammal
Modified: 2015-12-01 16:45 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.7.3
Doc Type: Bug Fix
Doc Text:
Clone Of: 1194640
Environment:
Last Closed: 2015-06-20 09:48:05 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Humble Chirammal 2015-05-01 11:09:18 UTC
+++ This bug was initially created as a clone of Bug #1194640 +++

Description of problem:

The current implementation of logging is only available for some xlators.
Its been mainly limited to dht, afr and glusterd to a certain level.
The logging have to be implemented for all other active xlators for better reading of log file and consistency.

Version-Release number of selected component (if applicable):

GlusterFS 3.6.2

How reproducible:

N/A

Steps to Reproduce:
N/A

Actual results:

Unavailability of new logging mechanism (MSG ID) in most of the xlators.

Expected results:

Implement logging based on message ids for all active xlators.

--- Additional comment from Humble Chirammal on 2015-02-23 02:16:33 EST ---

Quota: http://review.gluster.org/#/c/7574/

--- Additional comment from Anand Avati on 2015-02-25 06:45:02 EST ---

REVIEW: http://review.gluster.org/9746 (afr: catch proper result of glfs_set_volfile_server) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-02-25 07:46:50 EST ---

REVIEW: http://review.gluster.org/9746 (afr: catch proper result of glfs_set_volfile_server) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-02-25 08:27:34 EST ---

REVIEW: http://review.gluster.org/9747 (ligfapi: record the failure of gf_log_init().) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-02-25 14:16:35 EST ---

REVIEW: http://review.gluster.org/9752 (logging: Adding msg id segment for common errors.) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-02-25 14:35:52 EST ---

REVIEW: http://review.gluster.org/9752 (logging: Adding msg id segment for common errors.) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-02-26 03:22:20 EST ---

REVIEW: http://review.gluster.org/9746 (afr: catch proper result of glfs_set_volfile_server) posted (#3) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-02-26 04:06:57 EST ---

REVIEW: http://review.gluster.org/9747 (libgfapi: record the failure of gf_log_init().) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-02-26 07:50:11 EST ---

REVIEW: http://review.gluster.org/9746 (afr: catch proper result of glfs_set_volfile_server) posted (#5) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-02 04:21:43 EST ---

REVIEW: http://review.gluster.org/9746 (afr: catch proper result of glfs_set_volfile_server) posted (#6) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-03 05:16:02 EST ---

REVIEW: http://review.gluster.org/9789 (Snapshot: New logging framework implementation of snapshot messages) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-03 05:17:08 EST ---

REVIEW: http://review.gluster.org/9789 ([WIP]Snapshot: New logging framework implementation of snapshot messages) posted (#2) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-03 07:44:28 EST ---

COMMIT: http://review.gluster.org/9746 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 4f65179a8f90547498b00caf48eaad618098ae70
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Wed Feb 25 17:10:12 2015 +0530

    afr: catch proper result of glfs_set_volfile_server
    
    Change-Id: I5a1db7b88c33bf5faa7a8848502357b052a799f4
    BUG: 1194640
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/9746
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

--- Additional comment from Anand Avati on 2015-03-04 04:21:34 EST ---

REVIEW: http://review.gluster.org/9789 (Snapshot: New logging framework implementation of snapshot messages) posted (#3) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-04 06:18:02 EST ---

REVIEW: http://review.gluster.org/9795 (Snapshot:  New logging framework implementation of snapshot messages) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-04 06:45:10 EST ---

REVIEW: http://review.gluster.org/9796 (Snapshot:  New logging framework implementation of snapshot messages) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-04 06:50:05 EST ---

REVIEW: http://review.gluster.org/9796 (Snapshot:  New logging framework implementation of snapshot messages) posted (#2) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-04 06:55:52 EST ---

REVIEW: http://review.gluster.org/9796 (Snapshot:  New logging framework implementation of snapshot messages) posted (#3) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-04 07:10:19 EST ---

REVIEW: http://review.gluster.org/9796 (Snapshot:  New logging framework implementation of snapshot messages) posted (#4) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-04 07:23:22 EST ---

REVIEW: http://review.gluster.org/9796 (Snapshot:  New logging framework implementation of snapshot messages) posted (#5) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-04 07:36:23 EST ---

REVIEW: http://review.gluster.org/9796 (Snapshot:  New logging framework implementation of snapshot messages) posted (#6) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-04 07:56:41 EST ---

REVIEW: http://review.gluster.org/9796 (Snapshot:  New logging framework implementation of snapshot messages.) posted (#7) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-04 12:00:48 EST ---

REVIEW: http://review.gluster.org/9796 (Snapshot:  New logging framework implementation of snapshot messages.) posted (#8) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-05 02:07:58 EST ---

REVIEW: http://review.gluster.org/9796 (Snapshot:  New logging framework implementation of snapshot messages) posted (#9) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-05 03:10:31 EST ---

REVIEW: http://review.gluster.org/9796 (Snapshot:  New logging framework implementation of snapshot messages) posted (#10) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-05 03:23:55 EST ---

REVIEW: http://review.gluster.org/9808 (mgmt/glusterd: Porting messages to new logging framework) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-05 03:28:28 EST ---

REVIEW: http://review.gluster.org/9808 (mgmt/glusterd: Porting messages to new logging framework) posted (#2) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-05 03:31:00 EST ---

REVIEW: http://review.gluster.org/9796 (Snapshot:  New logging framework implementation of snapshot messages) posted (#11) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-05 05:57:59 EST ---

REVIEW: http://review.gluster.org/9808 (mgmt/glusterd: Porting messages to new logging framework) posted (#3) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-06 03:07:55 EST ---

REVIEW: http://review.gluster.org/9808 (mgmt/glusterd: Porting messages to new logging framework.) posted (#4) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-03-06 08:19:44 EST ---


--- Additional comment from Anand Avati on 2015-04-29 00:53:35 EDT ---

COMMIT: http://review.gluster.org/10420 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit bacb5491e394b5e1bc16114bbbd6edaa68bf1f4f
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Tue Apr 28 17:08:32 2015 +0530

    libglusterfs: allocate a segment for quota logging
    
    Change-Id: Ia71488a20147ec3e99548aea15b4a57bb325fd06
    BUG: 1194640
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/10420
    Tested-by: NetBSD Build System
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

--- Additional comment from Anand Avati on 2015-04-29 01:13:49 EDT ---

REVIEW: http://review.gluster.org/9927 (sm/glusterd: Porting messages to new logging framework) posted (#11) for review on master by Nandaja Varma (nandaja.varma@gmail.com)

--- Additional comment from Anand Avati on 2015-04-29 01:39:00 EDT ---

COMMIT: http://review.gluster.org/10173 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit de7c629d02b723e6b4c3d50a14ea5f072e27ccc1
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Tue Apr 7 12:49:37 2015 +0530

    nfs/auth,exports,netgroup : port log messages to new framework
    
    Five gf_log messages are not changed to gf_msg because gf_msg
    not sending the output to STDOUT.
    Bug id : BZ1215017
    
    Change-Id: Ie8de286355becc3fd73fa80057734b834cf40b04
    BUG: 1194640
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/10173
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: NetBSD Build System
    Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>

--- Additional comment from Anand Avati on 2015-04-29 02:10:01 EDT ---

REVIEW: http://review.gluster.org/9868 (rdma:  porting rdma to a new message id logging format) posted (#12) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-04-29 11:00:09 EDT ---

REVIEW: http://review.gluster.org/10297 (bit-rot : New logging framework for bit-rot log messages) posted (#19) for review on master by Mohamed Ashiq (ashiq333@gmail.com)

--- Additional comment from Anand Avati on 2015-04-29 12:10:25 EDT ---

REVIEW: http://review.gluster.org/10042 (protocol/client : port log messages to a new framework) posted (#22) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)

--- Additional comment from Anand Avati on 2015-04-29 12:13:14 EDT ---

REVIEW: http://review.gluster.org/10042 (protocol/client : port log messages to a new framework) posted (#23) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)

--- Additional comment from Anand Avati on 2015-04-29 12:21:01 EDT ---

REVIEW: http://review.gluster.org/9874 (protocol/server : port log messages to new framework) posted (#46) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)

--- Additional comment from Anand Avati on 2015-04-29 13:22:49 EDT ---

[Tracker bug for 3.7]

Comment 1 Anand Avati 2015-05-01 11:30:00 UTC
REVIEW: http://review.gluster.org/10486 (libgfapi : port gfapi to new logging framework) posted (#1) for review on release-3.7 by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 2 Anand Avati 2015-05-05 09:46:58 UTC
REVIEW: http://review.gluster.org/10558 (nfs/auth,exports,netgroup : port log messages to new framework) posted (#1) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 3 Anand Avati 2015-05-05 09:56:39 UTC
REVIEW: http://review.gluster.org/10546 (nfs/auth,exports,netgroup : port log messages to new framework) posted (#2) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 4 Anand Avati 2015-05-05 10:18:17 UTC
REVIEW: http://review.gluster.org/10546 (nfs/auth,exports,netgroup : port log messages to new framework) posted (#3) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 5 Anand Avati 2015-05-05 10:33:16 UTC
REVIEW: http://review.gluster.org/10552 (protocol/server : port log messages to new framework) posted (#3) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 6 Anand Avati 2015-05-05 14:25:58 UTC
REVIEW: http://review.gluster.org/10550 (nfs / nfs files : porting log messages to a new framework) posted (#3) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 7 Anand Avati 2015-05-05 14:26:04 UTC
REVIEW: http://review.gluster.org/10551 (nfs / mount files : porting log messages to new framework) posted (#3) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 8 Anand Avati 2015-05-05 14:26:06 UTC
REVIEW: http://review.gluster.org/10552 (protocol/server : port log messages to a new framework) posted (#4) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 9 Anand Avati 2015-05-05 16:17:44 UTC
REVIEW: http://review.gluster.org/10551 (nfs / mount files : porting log messages to a new framework) posted (#4) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 10 Anand Avati 2015-05-06 03:14:40 UTC
REVIEW: http://review.gluster.org/10486 (libgfapi : port gfapi to new logging framework) posted (#7) for review on release-3.7 by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 11 Anand Avati 2015-05-06 03:26:01 UTC
REVIEW: http://review.gluster.org/10552 (protocol/server : port log messages to new framework) posted (#5) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 12 Anand Avati 2015-05-06 17:38:34 UTC
REVIEW: http://review.gluster.org/10552 (protocol/server : port log messages to a new framework) posted (#7) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 13 Anand Avati 2015-05-06 20:27:34 UTC
COMMIT: http://review.gluster.org/10549 committed in release-3.7 by Niels de Vos (ndevos@redhat.com) 
------
commit 147ea6693c6037e998c7e0b1b776d92a0b277a99
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Mon Apr 13 16:26:56 2015 +0530

    nfs / acl3.c, nlm files : port log messages to a new framework
    
            Backport of http://review.gluster.org/#/c/10217/
    
    Porting log messages to a new framework for acl3.c, nlm4.c,
    nlmcbk_svc.c
    
    Cherry picked from a7f848245ae5b0e4bbe363de13ec1676753352c5
    > Change-Id: Iee4daae4fe1460eddf95d285615335b836d7f958
    > BUG: 1194640
    > Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    > Reviewed-on: http://review.gluster.org/10217
    > Tested-by: Gluster Build System <jenkins@build.gluster.com>
    > Reviewed-by: Niels de Vos <ndevos@redhat.com>
    
    Change-Id: Iee4daae4fe1460eddf95d285615335b836d7f958
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    BUG: 1217722
    Reviewed-on: http://review.gluster.org/10549
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 14 Anand Avati 2015-05-06 20:35:36 UTC
COMMIT: http://review.gluster.org/10551 committed in release-3.7 by Niels de Vos (ndevos@redhat.com) 
------
commit 9d93ec6c59934c09feefe7dd1e8864a954118852
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Mon Apr 13 12:21:09 2015 +0530

    nfs / mount files : porting log messages to a new framework
    
            Backport of http://review.gluster.org/#/c/10210/
    
    Porting log messages to a new framework for mount3udp_svc.c,
    mount3.c, mount3-auth.c files.
    
    Cherry picked from ee6cd10ce947787bf6ea589bca1cb259c4bb214d
    > Change-Id: I1e9cab500b6052bfac43c5ae1c82278e20d2f898
    > BUG: 1194640
    > Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    > Reviewed-on: http://review.gluster.org/10210
    > Tested-by: Gluster Build System <jenkins@build.gluster.com>
    > Reviewed-by: Niels de Vos <ndevos@redhat.com>
    
    Change-Id: I1e9cab500b6052bfac43c5ae1c82278e20d2f898
    BUG: 1217722
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/10551
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 15 Anand Avati 2015-05-07 10:30:54 UTC
COMMIT: http://review.gluster.org/10486 committed in release-3.7 by Vijay Bellur (vbellur@redhat.com) 
------
commit 97b7150003deb44c0e7f458e795b9dfce6478f13
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Sat Apr 25 12:44:15 2015 +0530

    libgfapi : port gfapi to new logging framework
    
    This also contains backport of http://review.gluster.org/10456:
    - Fix ENOKEY build failure on non Linux systems
    
    Cherry picked from commit 8986a47c54db4769feb4e6664532386f1cd0275d:
    > Change-Id: Iaa0a92f82b9a0a26eda1a8d72b3b66ce66fab443
    > BUG: 1194640
    > Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    > Reviewed-on: http://review.gluster.org/9918
    > Tested-by: Gluster Build System <jenkins@build.gluster.com>
    > Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>
    > Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    > Reviewed-by: soumya k <skoduri@redhat.com>
    > Reviewed-by: Niels de Vos <ndevos@redhat.com>
    
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Change-Id: I320b4f1268d49a1a1086412ff2a9fb815bcf1cf4
    BUG: 1217722
    Change-Id: I320b4f1268d49a1a1086412ff2a9fb815bcf1cf4
    Reviewed-on: http://review.gluster.org/10486
    Tested-by: NetBSD Build System
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>

Comment 16 Anand Avati 2015-05-26 11:15:04 UTC
REVIEW: http://review.gluster.org/10670 (libglusterfs: update glfs-messages header for reserved segments) posted (#5) for review on release-3.7 by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 17 Niels de Vos 2015-06-02 08:20:16 UTC
The required changes to fix this bug have not made it into glusterfs-3.7.1. This bug is now getting tracked for glusterfs-3.7.2.

Comment 18 Anand Avati 2015-06-08 05:48:12 UTC
REVIEW: http://review.gluster.org/10670 (libglusterfs: update glfs-message header for reserved segments) posted (#7) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 19 Anand Avati 2015-06-12 07:41:01 UTC
REVIEW: http://review.gluster.org/11195 (changetimerecorder : Port log messages to a new framework) posted (#1) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 20 Anand Avati 2015-06-12 10:43:13 UTC
REVIEW: http://review.gluster.org/11195 (changetimerecorder : port log messages to a new framework) posted (#2) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 21 Anand Avati 2015-06-14 10:45:56 UTC
COMMIT: http://review.gluster.org/11146 committed in release-3.7 by Niels de Vos (ndevos@redhat.com) 
------
commit 475b236dc572dbfabdbda047d80567b909c266cd
Author: Hari Gowtham <hari.gowtham005@gmail.com>
Date:   Mon Apr 13 16:06:56 2015 +0530

    nfs.c nfs3.c: port log messages to a new framework
    
            Backport of http://review.gluster.org/#/c/10216/
    
    Cherry picked from 6601aad8380f0f0ccbd4bb9147d8d3584a88da20
    > Change-Id: I9ddb90d66d3ad3adb2916c0c949834794ee7bdf3
    > BUG: 1194640
    > Signed-off-by: Hari Gowtham <hari.gowtham005@gmail.com>
    > Reviewed-on: http://review.gluster.org/10216
    > Tested-by: Gluster Build System <jenkins@build.gluster.com>
    > Reviewed-by: Niels de Vos <ndevos@redhat.com>
    
    Change-Id: I9ddb90d66d3ad3adb2916c0c949834794ee7bdf3
    BUG: 1217722
    Signed-off-by: Hari Gowtham <hari.gowtham005@gmail.com>
    Reviewed-on: http://review.gluster.org/11146
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 22 Anand Avati 2015-06-15 05:25:06 UTC
COMMIT: http://review.gluster.org/10552 committed in release-3.7 by Raghavendra G (rgowdapp@redhat.com) 
------
commit eca453865a1df9b9b15b57ee47d844c94db4b7ba
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Wed Mar 11 20:11:09 2015 +0530

    protocol/server : port log messages to a new framework
    
            Backport of http://review.gluster.org/#/c/9874/
    
    Cherry picked from dc089a1a51988c2b407040e1684d7b0adbd79556
    > Change-Id: I7901f55d06716161cc31d2b79a600a16b5ec2ef8
    > BUG: 1194640
    > Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    > Reviewed-on: http://review.gluster.org/9874
    > Tested-by: Gluster Build System <jenkins@build.gluster.com>
    > Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    
    Change-Id: I7901f55d06716161cc31d2b79a600a16b5ec2ef8
    BUG: 1217722
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/10552
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Raghavendra G <rgowdapp@redhat.com>

Comment 23 Anand Avati 2015-06-15 06:41:41 UTC
REVIEW: http://review.gluster.org/11195 (changetimerecorder : port log messages to a new framework) posted (#3) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 24 Anand Avati 2015-06-15 09:09:49 UTC
REVIEW: http://review.gluster.org/11223 (libglusterfs: Introducing new logging message) posted (#2) for review on release-3.7 by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 25 Anand Avati 2015-06-16 03:55:58 UTC
REVIEW: http://review.gluster.org/11222 (quota/glusterd: porting to new logging framework) posted (#6) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 26 Anand Avati 2015-06-16 03:56:27 UTC
REVIEW: http://review.gluster.org/11230 (ops/glusterd: Porting messages to new logging framework) posted (#4) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 27 Anand Avati 2015-06-16 06:23:00 UTC
REVIEW: http://review.gluster.org/10548 (utils/glusterd: Porting messages to new logging framwork) posted (#9) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 28 Anand Avati 2015-06-16 06:24:09 UTC
REVIEW: http://review.gluster.org/11192 (handshake,locks,mountbroker,syncop/glusterd:New logging framework) posted (#4) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 29 Anand Avati 2015-06-16 06:24:33 UTC
REVIEW: http://review.gluster.org/11193 (rebalance,store,glusterd/glusterd: porting to new logging framework.) posted (#3) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 30 Anand Avati 2015-06-16 06:25:48 UTC
REVIEW: http://review.gluster.org/11197 (sm/glusterd: Porting messages to new logging framework) posted (#6) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 31 Anand Avati 2015-06-16 06:26:09 UTC
REVIEW: http://review.gluster.org/11212 (handler, messages/glusterd: Porting to new logging framework) posted (#2) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 32 Anand Avati 2015-06-16 07:23:38 UTC
REVIEW: http://review.gluster.org/11212 (handler, messages/glusterd: Porting to new logging framework) posted (#3) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 33 Anand Avati 2015-06-16 08:51:29 UTC
REVIEW: http://review.gluster.org/10548 (utils/glusterd: Porting messages to new logging framwork) posted (#11) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 34 Anand Avati 2015-06-16 10:11:37 UTC
REVIEW: http://review.gluster.org/11240 (protocol/client : porting log messages to new framework) posted (#3) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 35 Anand Avati 2015-06-16 10:30:38 UTC
REVIEW: http://review.gluster.org/11212 (handler, messages/glusterd: Porting to new logging framework) posted (#4) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 36 Anand Avati 2015-06-16 10:50:12 UTC
COMMIT: http://review.gluster.org/11221 committed in release-3.7 by Atin Mukherjee (amukherj@redhat.com) 
------
commit b3c9fdacce4057e1ca8275dd095782ac4004dd92
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Mon Mar 9 16:59:54 2015 +0530

    glusterd: Porting messages to new logging framework.
    
    Backport of http://review.gluster.org/#/c/9836/
    
    Change-Id: I56ced6fca0246c230cc389132c47a0f60472ed0c
    BUG: 1217722
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/9836
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    (cherry picked from commit 2ae034374ce449c54b1b4ae8350401371db1d8d3)
    Reviewed-on: http://review.gluster.org/11221

Comment 37 Anand Avati 2015-06-17 04:14:12 UTC
COMMIT: http://review.gluster.org/11197 committed in release-3.7 by Atin Mukherjee (amukherj@redhat.com) 
------
commit 7bb10782fe10c4c1a5773b526e9c974342da94bd
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Wed Mar 18 15:17:45 2015 +0530

    sm/glusterd: Porting messages to new logging framework
    
    Backport of http://review.gluster.org/#/c/9927/
    
    (cherry picked from commit 72a7a6ea78289b2897f9846dc4e111f442dd2788)
    >Change-Id: I391d1ac6a7b312461187c2e8c6f14d09a0238950
    >BUG: 1194640
    >Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    >Reviewed-on: http://review.gluster.org/9927
    >Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    >Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    >Tested-by: Gluster Build System <jenkins@build.gluster.com>
    >Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    
    Change-Id: I391d1ac6a7b312461187c2e8c6f14d09a0238950
    BUG: 1217722
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/11197
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 38 Anand Avati 2015-06-17 04:23:27 UTC
COMMIT: http://review.gluster.org/11193 committed in release-3.7 by Atin Mukherjee (amukherj@redhat.com) 
------
commit 6d1898116c45dee33a8a2b7f409445a12c633780
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Fri Mar 13 16:55:17 2015 +0530

    rebalance,store,glusterd/glusterd: porting to new logging framework.
    
    Backport of http://review.gluster.org/#/c/9877/
    
    Change-Id: I231b79e3414e60fe67cde577dd585cce83c8bfad
    BUG: 1217722
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/11193
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 39 Anand Avati 2015-06-17 08:12:17 UTC
COMMIT: http://review.gluster.org/11195 committed in release-3.7 by Niels de Vos (ndevos@redhat.com) 
------
commit 5c5ae2f29e32d701310407f78fcdbc62da127e95
Author: Mohamed Ashiq <ashiq333@gmail.com>
Date:   Wed May 27 15:20:59 2015 +0530

    changetimerecorder : port log messages to a new framework
    
            Backport of http://review.gluster.org/#/c/10938/
    
    Cherry picked from 00f9a61fe8884062c141edd662424625d349a377
    >Change-Id: I66e7ccc5e62482c3ecf0aab302568e6c9ecdc05d
    >BUG: 1194640
    >Signed-off-by: Mohamed Ashiq <ashiq333@gmail.com>
    >Reviewed-on: http://review.gluster.org/10938
    >Tested-by: Gluster Build System <jenkins@build.gluster.com>
    >Reviewed-by: Joseph Fernandes
    >Signed-off-by: Mohamed Ashiq <ashiq333@gmail.com>
    
    Change-Id: I66e7ccc5e62482c3ecf0aab302568e6c9ecdc05d
    BUG: 1217722
    Signed-off-by: Mohamed Ashiq <ashiq333@gmail.com>
    Reviewed-on: http://review.gluster.org/11195
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Joseph Fernandes
    Tested-by: Joseph Fernandes

Comment 40 Anand Avati 2015-06-17 12:11:46 UTC
COMMIT: http://review.gluster.org/11240 committed in release-3.7 by Raghavendra G (rgowdapp@redhat.com) 
------
commit 2dcc68df252f9f8313eb8f8b2e1e97f539426643
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Mon Apr 6 16:21:43 2015 +0530

    protocol/client : porting log messages to new framework
    
            Backport of http://review.gluster.org/#/c/10042/
    
    Cherry picked from 379dbbfd683d2b0e1704c098b1f020567328122c
    > Change-Id: I9bf2ca08fef969e566a64475d0f7a16d37e66eeb
    > BUG: 1194640
    > Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    > Reviewed-on: http://review.gluster.org/10042
    > Tested-by: Gluster Build System <jenkins@build.gluster.com>
    > Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    > Tested-by: Raghavendra G <rgowdapp@redhat.com>
    
    Change-Id: I9bf2ca08fef969e566a64475d0f7a16d37e66eeb
    BUG: 1217722
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/11240
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Raghavendra G <rgowdapp@redhat.com>

Comment 41 Anand Avati 2015-06-17 12:17:56 UTC
REVIEW: http://review.gluster.org/11200 (glusterd/geo-rep : porting log messages to a new framework) posted (#2) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 42 Anand Avati 2015-06-17 12:36:42 UTC
REVIEW: http://review.gluster.org/11279 (Porting new log messages for posix) posted (#1) for review on release-3.7 by hari gowtham (hari.gowtham005@gmail.com)

Comment 43 Anand Avati 2015-06-17 15:00:43 UTC
REVIEW: http://review.gluster.org/11223 (libglusterfs: Introducing new logging message) posted (#3) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 44 Anand Avati 2015-06-17 15:11:10 UTC
REVIEW: http://review.gluster.org/11223 (libglusterfs:Introducing new logging message) posted (#4) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 45 Anand Avati 2015-06-17 15:12:15 UTC
REVIEW: http://review.gluster.org/11223 (libglusterfs: Introducing new logging message) posted (#5) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 46 Anand Avati 2015-06-17 15:18:45 UTC
REVIEW: http://review.gluster.org/11284 (gfdb/libglusterfs : Port log messages to a new framework) posted (#2) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 47 Anand Avati 2015-06-17 15:24:11 UTC
REVIEW: http://review.gluster.org/11223 (libglusterfs:Introducing new logging message) posted (#6) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 48 Anand Avati 2015-06-17 15:25:24 UTC
REVIEW: http://review.gluster.org/11223 (libglusterfs: Introducing new logging message) posted (#7) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 49 Anand Avati 2015-06-17 15:25:49 UTC
REVIEW: http://review.gluster.org/11289 (common-utils/libglusterfs: Port log messages to a new framework) posted (#1) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 50 Anand Avati 2015-06-17 18:55:06 UTC
REVIEW: http://review.gluster.org/11289 (common-utils/libglusterfs: port log messages to a new framework) posted (#2) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 51 Anand Avati 2015-06-18 06:43:45 UTC
REVIEW: http://review.gluster.org/11223 (libglusterfs: Introducing new logging message) posted (#8) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 52 Anand Avati 2015-06-18 06:59:34 UTC
REVIEW: http://review.gluster.org/11289 (common-utils/libglusterfs : port log messages to a new framework) posted (#3) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 53 Anand Avati 2015-06-18 06:59:36 UTC
REVIEW: http://review.gluster.org/11223 (libglusterfs: Introducing new logging message) posted (#9) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 54 Anand Avati 2015-06-18 10:05:56 UTC
COMMIT: http://review.gluster.org/11222 committed in release-3.7 by Atin Mukherjee (amukherj@redhat.com) 
------
commit 6eb24012e43dccda5fb71374ffd607d913fb2d59
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Thu Apr 30 16:57:00 2015 +0530

    quota/glusterd: porting to new logging framework.
    
    Backport of http://review.gluster.org/#/c/10473/8
    
    Change-Id: I879a181b6d6b97119a6b4fab90a12b8386635383
    BUG: 1217722
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/11222
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Sachin Pandit <spandit@redhat.com>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 55 Anand Avati 2015-06-18 10:53:06 UTC
REVIEW: http://review.gluster.org/11223 (libglusterfs: Introducing new logging message) posted (#10) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 56 Anand Avati 2015-06-19 05:35:58 UTC
REVIEW: http://review.gluster.org/11230 (ops/glusterd: Porting messages to new logging framework) posted (#9) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 57 Anand Avati 2015-06-19 09:26:14 UTC
COMMIT: http://review.gluster.org/10548 committed in release-3.7 by Atin Mukherjee (amukherj@redhat.com) 
------
commit ce1e498f532a3804878b1e2bbd363c53976fb1f4
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Mon Mar 23 11:36:37 2015 +0530

    utils/glusterd: Porting messages to new logging framwork
    
    Backport of: http://review.gluster.org/#/c/9967/
    
    Change-Id: Iacb30eb675693bcdb3ef9de8e7f43892c5d79f6d
    BUG: 1217722
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/10548
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 58 Anand Avati 2015-06-19 09:59:44 UTC
COMMIT: http://review.gluster.org/11192 committed in release-3.7 by Atin Mukherjee (amukherj@redhat.com) 
------
commit 08086c1c631bc8c1336452c9cd270f1191721b18
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Thu Mar 12 16:55:20 2015 +0530

    handshake,locks,mountbroker,syncop/glusterd:New logging framework
    
    Backport of http://review.gluster.org/#/c/9864/
    
    (cherry picked from commit 40795d95697068a0beb52364b97818dc80e49440)
    >Change-Id: If491a6945b7a0afa10165ff9f9874a244aece36f
    >BUG: 1194640
    >Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    >Reviewed-on: http://review.gluster.org/9864
    >Tested-by: Gluster Build System <jenkins@build.gluster.com>
    >Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    >Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    
    Change-Id: If491a6945b7a0afa10165ff9f9874a244aece36f
    BUG: 1217722
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/11192
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    Tested-by: Atin Mukherjee <amukherj@redhat.com>

Comment 59 Anand Avati 2015-06-19 10:30:43 UTC
REVIEW: http://review.gluster.org/11200 (glusterd/geo-rep : porting log messages to a new framework) posted (#3) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 60 Anand Avati 2015-06-19 11:54:04 UTC
REVIEW: http://review.gluster.org/11279 (Porting new log messages for posix) posted (#2) for review on release-3.7 by hari gowtham (hari.gowtham005@gmail.com)

Comment 61 Anand Avati 2015-06-19 11:54:52 UTC
REVIEW: http://review.gluster.org/10673 (rdma:  porting rdma to a new message id logging format) posted (#3) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 62 Anand Avati 2015-06-19 13:32:21 UTC
REVIEW: http://review.gluster.org/10673 (rdma:  porting rdma to new message id logging format) posted (#4) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 63 Niels de Vos 2015-06-20 09:48:05 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.2, please reopen this bug report.

glusterfs-3.7.2 has been announced on the Gluster Packaging mailinglist [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://www.gluster.org/pipermail/packaging/2015-June/000006.html
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 64 Anand Avati 2015-06-21 04:27:10 UTC
COMMIT: http://review.gluster.org/11230 committed in release-3.7 by Atin Mukherjee (amukherj@redhat.com) 
------
commit 38d602e820b99b0c9e2efe788df7450e4d863196
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Tue Mar 17 13:16:06 2015 +0530

    ops/glusterd: Porting messages to new logging framework
    
    cherry-picked from commit 70bb8bf65b4cefb503fa94452c200b0b71a06535
    >Change-Id: Iafeb07aabc1781d98f51c6c2627bf3bbdf493153
    >BUG: 1194640
    >Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    >Reviewed-on: http://review.gluster.org/9905
    >Tested-by: Gluster Build System <jenkins@build.gluster.com>
    >Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    >Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    
    Change-Id: Iafeb07aabc1781d98f51c6c2627bf3bbdf493153
    BUG: 1217722
    Signed-off-by: Nandaja Varma <nvarma@redhat.com>
    Reviewed-on: http://review.gluster.org/11230
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 65 Anand Avati 2015-06-22 09:02:41 UTC
REVIEW: http://review.gluster.org/11200 (glusterd/geo-rep : porting log messages to a new framework) posted (#4) for review on release-3.7 by Venky Shankar (vshankar@redhat.com)

Comment 66 Anand Avati 2015-06-22 09:31:40 UTC
COMMIT: http://review.gluster.org/11223 committed in release-3.7 by Niels de Vos (ndevos@redhat.com) 
------
commit db4beb00c6dfb45367b8869fcaa813c83f1aa8eb
Author: Mohamed Ashiq <ashiq333@gmail.com>
Date:   Mon May 18 12:15:07 2015 +0530

    libglusterfs: Introducing new logging message
    
            Backport of http://review.gluster.org/9898
    
    Cherry picked from a2a370db6db80e9365d0777701786ce706957f42
    >Change-Id: I137f1b7805895810b8e6f0a70a183782bf472bf5
    >BUG: 1194640
    >Signed-off-by: Mohamed Ashiq <ashiq333@gmail.com>
    >Reviewed-on: http://review.gluster.org/9898
    >Reviewed-by: Niels de Vos <ndevos@redhat.com>
    >Tested-by: Niels de Vos <ndevos@redhat.com>
    >Signed-off-by: Mohamed Ashiq <ashiq333@gmail.com>
    
    Change-Id: I137f1b7805895810b8e6f0a70a183782bf472bf5
    BUG: 1217722
    Signed-off-by: Mohamed Ashiq <ashiq333@gmail.com>
    Reviewed-on: http://review.gluster.org/11223
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>

Comment 67 Anand Avati 2015-06-22 12:02:08 UTC
REVIEW: http://review.gluster.org/11279 (Porting new log messages for posix) posted (#3) for review on release-3.7 by hari gowtham (hari.gowtham005@gmail.com)

Comment 68 Anand Avati 2015-06-22 12:12:44 UTC
REVIEW: http://review.gluster.org/11350 (dht: Adding log messages to the new logging framework) posted (#1) for review on release-3.7 by Anusha B.Rao (anusha91rao@gmail.com)

Comment 69 Anand Avati 2015-06-22 12:38:45 UTC
REVIEW: http://review.gluster.org/11351 (afr: Porting messages to new logging framework      updated) posted (#1) for review on release-3.7 by Anusha B.Rao (anusha91rao@gmail.com)

Comment 70 Anand Avati 2015-06-23 04:26:35 UTC
REVIEW: http://review.gluster.org/11351 (afr: Porting messages to new logging framework      updated) posted (#2) for review on release-3.7 by Anusha B.Rao (anusha91rao@gmail.com)

Comment 71 Anand Avati 2015-06-24 07:37:07 UTC
REVIEW: http://review.gluster.org/11289 (common-utils/libglusterfs : port log messages to a new framework) posted (#4) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 72 Anand Avati 2015-06-24 08:53:03 UTC
REVIEW: http://review.gluster.org/11374 (protocol/client : removing duplicate printing in gf_msg) posted (#2) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 73 Anand Avati 2015-06-24 12:25:06 UTC
REVIEW: http://review.gluster.org/11379 (bit-rot : New logging framework for bit-rot log message) posted (#2) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 74 Anand Avati 2015-06-24 15:29:51 UTC
REVIEW: http://review.gluster.org/11379 (bit-rot : New logging framework for bit-rot log message) posted (#3) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 75 Anand Avati 2015-06-25 04:54:50 UTC
REVIEW: http://review.gluster.org/11350 (dht: Adding log messages to the new logging framework) posted (#3) for review on release-3.7 by Anusha B.Rao (anusha91rao@gmail.com)

Comment 76 Anand Avati 2015-06-25 09:17:11 UTC
REVIEW: http://review.gluster.org/11289 (common-utils/libglusterfs : port log messages to a new framework) posted (#6) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 77 Anand Avati 2015-06-25 09:17:22 UTC
REVIEW: http://review.gluster.org/11289 (common-utils/libglusterfs : port log messages to a new framework) posted (#7) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 78 Anand Avati 2015-06-25 09:32:26 UTC
REVIEW: http://review.gluster.org/11402 (fd,inode/libglusterfs : porting to a new logging framework) posted (#1) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 79 Anand Avati 2015-06-25 09:48:31 UTC
REVIEW: http://review.gluster.org/11404 (event,parse-utils,quota-common-utils,rbthash/libglusterfs : Porting to new logging framework) posted (#1) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 80 Anand Avati 2015-06-25 09:52:27 UTC
REVIEW: http://review.gluster.org/11289 (common-utils/libglusterfs : port log messages to a new framework) posted (#8) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 81 Anand Avati 2015-06-25 09:52:43 UTC
REVIEW: http://review.gluster.org/11405 (defaults,globals,iobuf,latency,logging,options,xlator/libglusterfs : porting to a new logging framework) posted (#1) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 82 Anand Avati 2015-06-25 11:34:18 UTC
REVIEW: http://review.gluster.org/11200 (glusterd/geo-rep : porting log messages to a new framework) posted (#5) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 83 Anand Avati 2015-06-26 07:38:32 UTC
COMMIT: http://review.gluster.org/11200 committed in release-3.7 by Venky Shankar (vshankar@redhat.com) 
------
commit 437edd091717120dd86042200fe2ede8cfa0743c
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Fri Mar 20 12:04:32 2015 +0530

    glusterd/geo-rep : porting log messages to a new framework
    
            Backport of http://review.gluster.org/#/c/9952/
    
    Cherry picked from 6180d36ff30ecbe84c91b66b23734cf4f45249c5
    > Change-Id: I1f1b99822c2b301d68eaf392af4bbb475151e2c5
    > BUG: 1194640
    > Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    > Reviewed-on: http://review.gluster.org/9952
    > Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    > Tested-by: Gluster Build System <jenkins@build.gluster.com>
    > Reviewed-by: Kotresh HR <khiremat@redhat.com>
    > Reviewed-by: Venky Shankar <vshankar@redhat.com>
    
    Change-Id: I1f1b99822c2b301d68eaf392af4bbb475151e2c5
    BUG: 1217722
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/11200
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Venky Shankar <vshankar@redhat.com>

Comment 84 Anand Avati 2015-06-26 08:04:28 UTC
REVIEW: http://review.gluster.org/11350 (dht: Adding log messages to the new logging framework) posted (#4) for review on release-3.7 by Anusha B.Rao (anusha91rao@gmail.com)

Comment 85 Anand Avati 2015-06-26 09:05:26 UTC
REVIEW: http://review.gluster.org/11422 (glusterd: Porting left out log messages to new framework) posted (#2) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 86 Anand Avati 2015-06-26 10:24:14 UTC
REVIEW: http://review.gluster.org/11422 (glusterd: Porting left out log messages to new framework) posted (#3) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 87 Anand Avati 2015-06-26 10:39:47 UTC
REVIEW: http://review.gluster.org/11422 (glusterd: Porting left out log messages to new framework) posted (#4) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 88 Anand Avati 2015-06-26 11:52:20 UTC
REVIEW: http://review.gluster.org/11429 (ec: Porting messages to new logging framework) posted (#1) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 89 Anand Avati 2015-06-26 13:30:18 UTC
REVIEW: http://review.gluster.org/11422 (glusterd: Porting left out log messages to new framework) posted (#5) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 90 Anand Avati 2015-06-26 14:29:52 UTC
REVIEW: http://review.gluster.org/11429 (ec: Porting messages to new logging framework) posted (#2) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)

Comment 91 Anand Avati 2015-06-27 06:56:12 UTC
COMMIT: http://review.gluster.org/11422 committed in release-3.7 by Kaushal M (kaushal@redhat.com) 
------
commit 8708953fa3d9187997dc6d484dae663b4469c7ca
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Thu Jun 25 00:57:00 2015 +0530

    glusterd: Porting left out log messages to new framework
    
    This is a backport of http://review.gluster.org/11388
    cherry-picked from commit 23c1e6dc0fa86c014e1a8b6aa5729675f6d69017
    >Change-Id: I70d40ae3b5f49a21e1b93f82885cd58fa2723647
    >BUG: 1235538
    >Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    
    Change-Id: I70d40ae3b5f49a21e1b93f82885cd58fa2723647
    BUG: 1217722
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/11422
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Anand Nekkunti <anekkunt@redhat.com>
    Reviewed-by: Kaushal M <kaushal@redhat.com>

Comment 92 Anand Avati 2015-06-27 07:47:44 UTC
REVIEW: http://review.gluster.org/11374 (protocol/client : removing duplicate printing in gf_msg) posted (#3) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 93 Anand Avati 2015-06-27 08:20:36 UTC
REVIEW: http://review.gluster.org/11374 (protocol/client : removing duplicate printing in gf_msg) posted (#4) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 94 Anand Avati 2015-06-27 08:35:43 UTC
REVIEW: http://review.gluster.org/11442 (Logging: Porting the performance translator          logs to new logging framework.) posted (#1) for review on release-3.7 by Anusha B.Rao (anusha91rao@gmail.com)

Comment 95 Anand Avati 2015-06-27 09:20:09 UTC
COMMIT: http://review.gluster.org/11429 committed in release-3.7 by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit cb578de65bd7e03882dd4f48fe65b29935a426e0
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Thu Apr 30 14:28:10 2015 +0530

    ec: Porting messages to new logging framework
    
    This is a backport of http://review.gluster.org/#/c/10465/
    
    cherry-picked from commit b0b9eaea9dbb4e9a535f5e969defc4556a9e2204
    >Change-Id: Ia05ae750a245a37d48978e5f37b52f4fb0507a8c
    >BUG: 1194640
    >Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    
    Change-Id: Ia05ae750a245a37d48978e5f37b52f4fb0507a8c
    BUG: 1217722
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/11429
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 96 Anand Avati 2015-06-27 10:08:24 UTC
REVIEW: http://review.gluster.org/11351 (afr: Porting messages to new logging framework      updated) posted (#3) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 97 Anand Avati 2015-06-27 10:15:43 UTC
REVIEW: http://review.gluster.org/11442 (Logging: Porting the performance translator          logs to new logging framework.) posted (#2) for review on release-3.7 by Anusha B.Rao (anusha91rao@gmail.com)

Comment 98 Anand Avati 2015-06-27 11:32:30 UTC
REVIEW: http://review.gluster.org/11350 (dht: Adding log messages to the new logging framework) posted (#5) for review on release-3.7 by Anusha B.Rao (anusha91rao@gmail.com)

Comment 99 Anand Avati 2015-06-27 12:04:50 UTC
COMMIT: http://review.gluster.org/11374 committed in release-3.7 by Raghavendra G (rgowdapp@redhat.com) 
------
commit 9ed31ab1a5718e01b22ea9e39c28759759bf023c
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Wed Jun 17 18:42:06 2015 +0530

    protocol/client : removing duplicate printing in gf_msg
    
    Since the 3rd and 5th argument of gf_msg framework
    prints the error string in case of strerror(),
    the 5th argument is removed.
    
            Backport of http://review.gluster.org/#/c/11280/
    
    Cherry picked from commit 4acd9d1bfc2be5179ddb611f61afaaeaa15be2cb
    > Change-Id: Ib1794ea2d4cb5c46a39311f0afcfd7e494540506
    > BUG: 1194640
    > Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    > Reviewed-on: http://review.gluster.org/11280
    > Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    > Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>
    > Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    
    Change-Id: Ib1794ea2d4cb5c46a39311f0afcfd7e494540506
    BUG: 1217722
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/11374
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Raghavendra G <rgowdapp@redhat.com>

Comment 100 Anand Avati 2015-06-27 12:32:40 UTC
REVIEW: http://review.gluster.org/11448 (rdma : removing duplicate printing of error string in gf_msg) posted (#1) for review on release-3.7 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 101 Anand Avati 2015-06-28 00:29:49 UTC
REVIEW: http://review.gluster.org/11450 (afr: Porting messages to new logging framework      updated) posted (#2) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 102 Anand Avati 2015-06-28 00:30:38 UTC
REVIEW: http://review.gluster.org/11450 (afr: Porting messages to new logging framework      updated) posted (#3) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 103 Anand Avati 2015-06-28 00:33:19 UTC
REVIEW: http://review.gluster.org/11351 (afr: Porting messages to new logging framework      updated) posted (#4) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 104 Anand Avati 2015-06-28 01:07:47 UTC
REVIEW: http://review.gluster.org/11379 (bit-rot : New logging framework for bit-rot log message) posted (#4) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 105 Anand Avati 2015-06-28 12:46:48 UTC
REVIEW: http://review.gluster.org/11442 (Logging: Porting the performance translator          logs to new logging framework.) posted (#3) for review on release-3.7 by Anusha B.Rao (anusha91rao@gmail.com)

Comment 106 Anand Avati 2015-06-28 13:11:45 UTC
REVIEW: http://review.gluster.org/11445 (features/changelog: Porting log messages to new logging framework) posted (#3) for review on release-3.7 by Anusha B.Rao (anusha91rao@gmail.com)

Comment 107 Anand Avati 2015-06-28 14:01:53 UTC
REVIEW: http://review.gluster.org/11442 (Logging: Porting the performance translator          logs to new logging framework) posted (#4) for review on release-3.7 by Anusha B.Rao (anusha91rao@gmail.com)

Comment 108 Anand Avati 2015-06-29 07:18:18 UTC
REVIEW: http://review.gluster.org/11289 (common-utils/libglusterfs : port log messages to a new framework) posted (#9) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 109 Anand Avati 2015-06-29 09:21:56 UTC
COMMIT: http://review.gluster.org/11442 committed in release-3.7 by Raghavendra G (rgowdapp@redhat.com) 
------
commit f6385aeb2f69b36fd02498259258f013582f706f
Author: arao <arao@redhat.com>
Date:   Mon Jun 22 11:10:05 2015 +0530

    Logging: Porting the performance translator
             logs to new logging framework
    
    > Change-Id: Ie6aaf8d30bd4457bb73c48e23e6b1dea27598644
    > BUG: 1194640
    > Signed-off-by: arao <arao@redhat.com>
    
    BUG: 1217722
    Change-Id: I0856c43dbf8c0a1aa084d4478c9bdf3f41dfc0b8
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/11442
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>

Comment 110 Anand Avati 2015-06-30 10:13:56 UTC
REVIEW: http://review.gluster.org/11289 (common-utils/libglusterfs : port log messages to a new framework) posted (#10) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 111 Anand Avati 2015-06-30 13:05:00 UTC
REVIEW: http://review.gluster.org/11445 (features/changelog: Porting log messages to new logging framework) posted (#4) for review on release-3.7 by Anusha B.Rao (anusha91rao@gmail.com)

Comment 112 Anand Avati 2015-07-01 05:45:21 UTC
REVIEW: http://review.gluster.org/11289 (common-utils/libglusterfs : port log messages to a new framework) posted (#11) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 113 Anand Avati 2015-07-01 06:31:26 UTC
REVIEW: http://review.gluster.org/11478 (mem-pool,stack,store,syncop,timer/libglusterfs : Porting to a new logging framework) posted (#1) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 114 Anand Avati 2015-07-01 10:18:28 UTC
REVIEW: http://review.gluster.org/11402 (fd,inode/libglusterfs : porting to a new logging framework) posted (#2) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 115 Anand Avati 2015-07-01 10:27:17 UTC
REVIEW: http://review.gluster.org/11404 (event,parse-utils,quota-common-utils,rbthash/libglusterfs : Porting to new logging framework) posted (#2) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 116 Anand Avati 2015-07-01 10:38:49 UTC
REVIEW: http://review.gluster.org/11405 (defaults,globals,iobuf,latency,logging,options,xlator/libglusterfs : porting to a new logging framework) posted (#2) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 117 Anand Avati 2015-07-01 10:50:00 UTC
REVIEW: http://review.gluster.org/11406 (call-stub,circ-buff,client_t,compat,dict/libglusterfs : Porting to a new logging framework) posted (#2) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 118 Anand Avati 2015-07-01 11:04:52 UTC
REVIEW: http://review.gluster.org/11478 (mem-pool,stack,store,syncop,timer/libglusterfs : Porting to a new logging framework) posted (#2) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 119 Anand Avati 2015-07-02 10:56:54 UTC
REVIEW: http://review.gluster.org/11404 (event,parse-utils,quota-common-utils,rbthash/libglusterfs : Porting to new logging framework) posted (#3) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 120 Anand Avati 2015-07-02 10:57:41 UTC
REVIEW: http://review.gluster.org/11405 (defaults,globals,iobuf,latency,logging,options,xlator/libglusterfs : porting to a new logging framework) posted (#3) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 121 Anand Avati 2015-07-02 10:57:43 UTC
REVIEW: http://review.gluster.org/11406 (call-stub,circ-buff,client_t,compat,dict/libglusterfs : Porting to a new logging framework) posted (#3) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 122 Anand Avati 2015-07-02 11:50:42 UTC
REVIEW: http://review.gluster.org/11404 (event,parse-utils,quota-common-utils,rbthash/libglusterfs : Porting to new logging framework) posted (#4) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 123 Anand Avati 2015-07-07 08:16:59 UTC
REVIEW: http://review.gluster.org/11402 (fd,inode/libglusterfs : porting to a new logging framework) posted (#5) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 124 Anand Avati 2015-07-07 12:17:50 UTC
REVIEW: http://review.gluster.org/11404 (event,parse-utils,quota-common-utils,rbthash/libglusterfs : Porting to new logging framework) posted (#5) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 125 Anand Avati 2015-07-07 12:18:38 UTC
COMMIT: http://review.gluster.org/11402 committed in release-3.7 by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 36f24f5fc358598b55fb176cefe944ea5160c012
Author: Mohamed Ashiq <ashiq333@gmail.com>
Date:   Tue May 19 15:34:43 2015 +0530

    fd,inode/libglusterfs : porting to a new logging framework
    
            Backport of http://review.gluster.org/#/c/10825/
    
    Cherry picked from d32b221747cf6742cffaff5a60e16269dffd04cc
    >Change-Id: I4beba3b50456f802824374b6e3fa8079d72f2c00
    >BUG: 1194640
    >Signed-off-by: Mohamed Ashiq <ashiq333@gmail.com>
    >Reviewed-on: http://review.gluster.org/10825
    >Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    >Tested-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    
    Change-Id: I4beba3b50456f802824374b6e3fa8079d72f2c00
    BUG: 1217722
    Signed-off-by: Mohamed Ashiq <ashiq333@gmail.com>
    Reviewed-on: http://review.gluster.org/11402
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 126 Anand Avati 2015-07-08 05:31:11 UTC
REVIEW: http://review.gluster.org/11405 (defaults,globals,iobuf,latency,logging,options,xlator/libglusterfs : porting to a new logging framework) posted (#4) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 127 Anand Avati 2015-07-08 08:09:32 UTC
REVIEW: http://review.gluster.org/11405 (defaults,globals,iobuf,latency,logging,options,xlator/libglusterfs : porting to a new logging framework) posted (#5) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 128 Anand Avati 2015-07-08 08:09:42 UTC
REVIEW: http://review.gluster.org/11406 (call-stub,circ-buff,client_t,compat,dict/libglusterfs : Porting to a new logging framework) posted (#4) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 129 Anand Avati 2015-07-08 10:41:15 UTC
REVIEW: http://review.gluster.org/11404 (event,parse-utils,quota-common-utils,rbthash/libglusterfs : Porting to new logging framework) posted (#6) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 130 Anand Avati 2015-07-09 07:11:15 UTC
COMMIT: http://review.gluster.org/11406 committed in release-3.7 by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit fe68152df36f6a6529a465c0ea25568fd557a901
Author: Mohamed Ashiq <ashiq333@gmail.com>
Date:   Tue May 19 15:53:19 2015 +0530

    call-stub,circ-buff,client_t,compat,dict/libglusterfs : Porting to a new logging framework
    
            Backport of http://review.gluster.org/10828
    
    Cherry picked from a1e32fbcfbfaf6e4c63e140b3b90a80dc748a269
    >Change-Id: Ie7d180e0ab2fed1270d66504606d1b2522884020
    >BUG: 1194640
    >Signed-off-by: Mohamed Ashiq <ashiq333@gmail.com>
    >Reviewed-on: http://review.gluster.org/10828
    >Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    >Tested-by: Gluster Build System <jenkins@build.gluster.com>
    >Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    
    Change-Id: Ie7d180e0ab2fed1270d66504606d1b2522884020
    BUG: 1217722
    Signed-off-by: Mohamed Ashiq <ashiq333@gmail.com>
    Reviewed-on: http://review.gluster.org/11406
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 131 Anand Avati 2015-07-09 08:00:32 UTC
REVIEW: http://review.gluster.org/11478 (mem-pool,stack,store,syncop,timer/libglusterfs : Porting to a new logging framework) posted (#3) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 132 Anand Avati 2015-07-09 11:34:03 UTC
REVIEW: http://review.gluster.org/11405 (defaults,globals,iobuf,latency,logging,options,xlator/libglusterfs : porting to a new logging framework) posted (#8) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 133 Anand Avati 2015-07-09 11:34:32 UTC
REVIEW: http://review.gluster.org/11478 (mem-pool,stack,store,syncop,timer/libglusterfs : Porting to a new logging framework) posted (#4) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 134 Anand Avati 2015-07-10 03:57:25 UTC
REVIEW: http://review.gluster.org/11405 (defaults,globals,iobuf,latency,logging,options,xlator/libglusterfs : porting to a new logging framework) posted (#9) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 135 Anand Avati 2015-07-14 09:35:25 UTC
COMMIT: http://review.gluster.org/11478 committed in release-3.7 by Niels de Vos (ndevos@redhat.com) 
------
commit 2ab34a9c675a6167caed3326b6973854e8529843
Author: Mohamed Ashiq <ashiq333@gmail.com>
Date:   Tue May 19 15:46:01 2015 +0530

    mem-pool,stack,store,syncop,timer/libglusterfs : Porting to a new logging framework
    
            Backport of http://review.gluster.org/10827
    
    Cherry picked from 2b9b3ef3b646989bbc0412dca187b3f5fcad3283
    >Change-Id: Idd3dcaf7eeea5207b3a5210676ce3df64153197f
    >BUG: 1194640
    >Signed-off-by: Mohamed Ashiq <ashiq333@gmail.com>
    >Reviewed-on: http://review.gluster.org/10827
    >Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    >Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    
    Change-Id: Idd3dcaf7eeea5207b3a5210676ce3df64153197f
    BUG: 1217722
    Signed-off-by: Mohamed Ashiq <ashiq333@gmail.com>
    Reviewed-on: http://review.gluster.org/11478
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 136 Anand Avati 2015-07-21 09:40:37 UTC
REVIEW: http://review.gluster.org/11727 (libglusterfs removing strerror in logging) posted (#1) for review on release-3.7 by Mohamed Ashiq (ashiq333@gmail.com)

Comment 137 Anand Avati 2015-07-28 13:47:31 UTC
COMMIT: http://review.gluster.org/11727 committed in release-3.7 by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 5a8b057f53847d5fe416962bc99a90001967cf34
Author: Mohamed Ashiq Liyazudeen <mliyazud@redhat.com>
Date:   Tue Jun 30 14:47:22 2015 +0530

    libglusterfs removing strerror in logging
    
            Backport of  http://review.gluster.org/11464
    
    Cherry picked from 9384a824041aeef0e58644cc9fe71dc7fa13eb35
    >Change-Id: I8a0f40834da1151ddaef6139af3782bc076df57e
    >BUG: 1194640
    >Signed-off-by: Mohamed Ashiq Liyazudeen <mliyazud@redhat.com>
    >Reviewed-on: http://review.gluster.org/11464
    >Tested-by: Gluster Build System <jenkins@build.gluster.com>
    >Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    >Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    
    Change-Id: I8a0f40834da1151ddaef6139af3782bc076df57e
    BUG: 1217722
    Signed-off-by: Mohamed Ashiq Liyazudeen <mliyazud@redhat.com>
    Reviewed-on: http://review.gluster.org/11727
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 138 Kaushal 2015-07-30 09:47:08 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 139 Kaushal 2015-07-30 09:47:10 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 140 Kaushal 2015-07-30 09:47:10 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 141 Kaushal 2015-07-30 09:48:00 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 142 Kaushal 2015-07-30 09:48:02 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 143 Kaushal 2015-07-30 09:48:18 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 144 Kaushal 2015-07-30 09:48:20 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 145 Kaushal 2015-07-30 09:48:20 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 146 Kaushal 2015-07-30 09:48:21 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 147 Kaushal 2015-07-30 09:49:12 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 148 Kaushal 2015-07-30 09:49:29 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 149 Kaushal 2015-07-30 09:49:41 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 150 Kaushal 2015-07-30 09:50:03 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 151 Kaushal 2015-07-30 09:50:03 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 152 Kaushal 2015-07-30 09:50:10 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 153 Kaushal 2015-07-30 09:50:11 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 154 Kaushal 2015-07-30 09:50:11 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 155 Kaushal 2015-07-30 09:50:22 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 156 Kaushal 2015-07-30 09:50:33 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 157 Kaushal 2015-07-30 09:50:35 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 158 Kaushal 2015-07-30 09:51:23 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 159 Kaushal 2015-07-30 09:51:23 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 160 Kaushal 2015-07-30 09:51:59 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.3, please open a new bug report.

glusterfs-3.7.3 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/12078
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user


Note You need to log in before you can comment on or make changes to this bug.